import * as github from './workflows-model';
/**
 * Assembly artifact options applied to all jobs using artifacts in the workflow.
 */
export declare abstract class AssemblyArtifactOptions {
    /**
     * Configure download assembly steps.
     *
     * @default - By default, it uses `actions/download-artifact@v3`.
     */
    abstract downloadAssemblySteps(targetName: string, targetDir: string): github.JobStep[];
    /**
     * Configure upload assembly steps.
     *
     * @default - By default, it uses `actions/upload-artifact@v3`.
     */
    abstract uploadAssemblySteps(sourceName: string, sourceDir: string): github.JobStep[];
}
export declare class GithubAssemblyArtifactOptions extends AssemblyArtifactOptions {
    constructor();
    downloadAssemblySteps(targetName: string, targetDir: string): github.JobStep[];
    uploadAssemblySteps(sourceName: string, sourceDir: string): github.JobStep[];
}
